import 'option.dart';
import 'terminal.dart';

final Terminal _t = new Terminal();

class Prompter {
  bool askBinary(String prompt, List<Option> options) {
    final input = _ask(prompt, []);

    return input.contains('y');
  }

  String _ask(String prompt, List<Option> options) {
    _t.clearScreen();
    _t.printPrompt('$prompt (y/n)');
    _t.printOptions(options);

    return _t.collectInput();
  }

  askMultiple(String prompt, List<Option> options) {
    String input = _ask(prompt, options);

    try {
      return options[int.parse(input)].value;
    } catch (err) {
      return askMultiple(prompt, options);
    }
  }
}
